﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 714L: (1 yr) CAL VER IEEE /9500/600+4Hd
DATE:                  2009-11-16 07:47:13
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       327
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds714L_1yr_ver_ieee_9500_600_4hd.txt,v $
#    $Date: 2009/11/16 15:46:37 $
#
#  Procedure Author:
#        DAC, DFM, VY
#@
#@ Models covered:
#@       TDS 714L
#@
#@ Source:
#@       TDS 500D, TDS 600C, TDS 700D & TDS 714L Digitizing Oscilloscopes
#@       Service Manual, Part No. 071-0627-02
#@
#@ Source Author:
#@       Tektronix
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or Later.
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub TDS500/600/700 Setup IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Self-Test IEEE
#        Sub TDS500/600/700 Sig Path Comp Cal IEEE
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Check Trig Status IEEE
#        Sub TDS500/600/700 Adjust Trig Level IEEE
#        Sub TDS500/600/700 Main or Delayed Trigger IEEE
#        Sub TDS500/600/700 Read Time by Cursor Walker IEEE
#        Sub TDS500/600/700 Cursor Reading IEEE
#        Sub TDS714L Specifications
#        Sub TDS714L (1 yr) DC Offset IEEE
#        Sub TDS714L (1 yr) DCV Meas Acc IEEE /9500
#        Sub TDS714L (1 yr) Delay Match IEEE /9500
#        Sub TDS714L (1 yr) Time Base IEEE /9500
#        Sub TDS714L (1 yr) Trig Time Acc IEEE /9500
#        Sub TDS714L (1 yr) Output Signal IEEE /9500
#        Sub TDS714L (1 yr) Probe Comp IEEE /9500
#        Sub TDS714L (1 yr) Bandwidth IEEE /9500/600
#        Sub TDS714L (1 yr) Sens IEEE /9500/600
#        Sub TDS714L (1 yr) Aux Trig In Sens IEEE /9500+2Hd
#
# Required Files:
#        tdsprobe.jpg      Picture: Probe compensation Test
#        95_4ck_1.jpg      Picture: DC Volts Connection - Channel 1
#        95_4ck_2.jpg      Picture: DC Volts Connection - Channel 2
#        95_4ck_3.jpg      Picture: DC Volts Connection - Channel 3
#        95_4ck_4.jpg      Picture: DC Volts Connection - Channel 4
#        95_4ck_1_aux.jpg  Picture: 9500 CH 1 to UUT CH 1, CH 4 to Aux trig in
#        95_4ck_6_hd1.jpg  Picture: Main Trigger Out
#        95_4ck_7_hd1.jpg  Picture: Delay Trigger Out
#        95_4ck_8_hd1.jpg  Picture: Signal/Source Out Test
#        95_4ck99.jpg      Picture: DC Volts Connection - Channel 1,2,3 and 4
#        95_4ck12.jpg      Picture: 9500 CH 1 to UUT CH 1 & 2
#        95_4ck13.jpg      Picture: 9500 CH 1 to UUT CH 1 & 3
#        95_4ck14.jpg      Picture: 9500 CH 1 to UUT CH 1 & 4
#
#@ Additional Equipment Required:
#@       Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#@       Cable, coaxial, BNC(m)-(m), 36"
#@       Cable, coaxial, BNC(m)-(m), 12"
#@       Dual Input Coupler (BNC)
#@       50 Ohm Feedthrough (BNC)
#@
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing : 60 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1V             LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1V             LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1V             LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1V             LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.012  ASK+           K

# Verify MET/CAL version compatibility.
  1.013  MATH         @ReqMetCalVersion = "7.20x"
  1.014  CALL         Sub MET/CAL Version Check

  1.015  IF           NOT(@MetCalVersionOK)
  1.016  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.016  DISP         or later.
  1.017  END
  1.018  ENDIF

  1.019  CALL         Sub Display Copyright
  1.020  CALL         Sub High Voltage Safety Warning

  1.021  HEAD         PRELIMINARY INSTRUCTIONS
  1.022  CALL         Sub Select Failed Test Mode
  1.023  CALL         Sub Select Verification Method

  1.024  DISP         Ensure a minimum UUT warm-up time of at least
  1.024  DISP         20 minutes has been allowed to elapse, prior
  1.024  DISP         to beginning verification.

  1.025  HEAD         UUT IDENTIFICATION
  1.026  TARGET
  1.027  CALL         Sub TDS500/600/700 Setup IEEE
  1.028  IEEE2        *RST;DESE 61
  1.029  WAIT         -t 4 System Initializing ...
  1.030  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.031  MATH         Model = "TDS 714L"
# Make sure correct UUT is connected.
  1.032  MATH         L[1] = ZCMPI("TEKTRONIX", @Manufacturer)
  1.033  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.034  IF           NOT(L[1]) || NOT(L[2])
  1.035  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.035  DISP         not a Tektronix [V Model]!
  1.036  END
  1.037  ENDIF

  1.038  HEAD         EQUIPMENT REQUIREMENTS
  1.039  OPBR         -z Do you want to REVIEW the list of additional
  1.039  OPBR         equipment and/or accessories required?

  1.040  IF           MEM1
  1.041  DISP         The following additional equipment and/or accessories
  1.041  DISP         are required:
  1.041  DISP
  1.041  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.041  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.041  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.041  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.041  DISP         - Dual Input Coupler (BNC)
  1.041  DISP         - 50 Ohm Feedthrough (BNC)
  1.042  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DC OFFSET(CH1)                     DC OFFSET(CH1)
#    4.   DC OFFSET(CH2)                     DC OFFSET(CH2)
#    5.   DC OFFSET(CH3)                     DC OFFSET(CH3)
#    6.   DC OFFSET(CH4)                     DC OFFSET(CH4)
#    7.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    8.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    9.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH3)
#   10.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH4)
#   11.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#   12.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#   13.   BANDWIDTH(CH3)                     BANDWIDTH(CH3)
#   14.   BANDWIDTH(CH4)                     BANDWIDTH(CH4)
#   15.   CHANNEL DELAY                      SAMPLE RATE AND DELAY TIME ACC
#   16.   SAMPLE RATE AND DELAY TIME ACC     TIME ACC OF PULSE WIDTH TRIG(CH1)
#   17.   TIME ACC OF PULSE WIDTH TRIG(CH1)  EDGE-TRIGGER SENSITIVITY(CH1)
#   18.   EDGE-TRIGGER SENSITIVITY(CH1)      EDGE-TRIGGER SENSITIVITY(CH2)
#   19.   AUX TRIG IN SENSITIVITY (CH1)      EDGE-TRIGGER SENSITIVITY(CH3)
#   20.   EDGE-TRIGGER SENSITIVITY(CH2)      EDGE-TRIGGER SENSITIVITY(CH4)
#   21.   EDGE-TRIGGER SENSITIVITY(CH3)      AUX TRIG IN SENSITIVITY (CH1)
#   22.   EDGE-TRIGGER SENSITIVITY(CH4)      CHANNEL DELAY
#   23.   SIGNAL OUT AND AUX TRIGGER OUT     SIGNAL OUT AND AUX TRIGGER OUT
#   24.   PROBE COMPENSATION OUTPUT          PROBE COMPENSATION OUTPUT

  1.043  CALL         Sub TDS714L Specifications
  1.044  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.045  JMPL         END                          @Abort
  1.046  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.047  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.048  MATH         @SourceChanNum = 4

# Specify channel to test.
  1.049  MATH         @Chan = 1
  1.050  CALL         Sub TDS714L (1 yr) DC Offset IEEE
  1.051  MATH         @Chan = 2
  1.052  CALL         Sub TDS714L (1 yr) DC Offset IEEE
  1.053  MATH         @Chan = 3
  1.054  CALL         Sub TDS714L (1 yr) DC Offset IEEE
  1.055  MATH         @Chan = 4
  1.056  CALL         Sub TDS714L (1 yr) DC Offset IEEE

  1.057  MATH         @Chan = 1
  1.058  M9500                       CH1
  1.059  CALL         Sub TDS714L (1 yr) DCV Meas Acc IEEE /9500
  1.060  MATH         @Chan = 2
  1.061  M9500                       CH2
  1.062  CALL         Sub TDS714L (1 yr) DCV Meas Acc IEEE /9500
  1.063  MATH         @Chan = 3
  1.064  M9500                       CH3
  1.065  CALL         Sub TDS714L (1 yr) DCV Meas Acc IEEE /9500
  1.066  MATH         @Chan = 4
  1.067  M9500                       CH4
  1.068  CALL         Sub TDS714L (1 yr) DCV Meas Acc IEEE /9500

  1.069  MATH         @Chan = 1
  1.070  M9500                       CH1
  1.071  CALL         Sub TDS714L (1 yr) Bandwidth IEEE /9500/600
  1.072  MATH         @Chan = 2
  1.073  M9500                       CH2
  1.074  CALL         Sub TDS714L (1 yr) Bandwidth IEEE /9500/600
  1.075  MATH         @Chan = 3
  1.076  M9500                       CH3
  1.077  CALL         Sub TDS714L (1 yr) Bandwidth IEEE /9500/600
  1.078  MATH         @Chan = 4
  1.079  M9500                       CH4
  1.080  CALL         Sub TDS714L (1 yr) Bandwidth IEEE /9500/600
  1.081  JMPL         TIMEBASE_TRIGGER

  1.082  LABEL        DELAY_MATCH
  1.083  MATH         @Chan = 1
  1.084  M9500                       CH1
  1.085  CALL         Sub TDS714L (1 yr) Delay Match IEEE /9500
  1.086  JMPL         OUTPUT_SIGNAL

  1.087  LABEL        TIMEBASE_TRIGGER
  1.088  MATH         @Chan = 1
  1.089  M9500                       CH1
  1.090  CALL         Sub TDS714L (1 yr) Time Base IEEE /9500
  1.091  CALL         Sub TDS714L (1 yr) Trig Time Acc IEEE /9500

  1.092  MATH         @Chan = 1
  1.093  M9500                       CH1
  1.094  CALL         Sub TDS714L (1 yr) Sens IEEE /9500/600
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.095  OPBR         -z Each channel trig sensitivity test will take about
  1.095  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.095  OPBR         channels to save time, unless desired.
  1.095  OPBR
  1.095  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.095  OPBR         3, and 4?
  1.096  MATH         @TestCh234Sens = MEM1
  1.097  JMPL         MAIN_TRIG_SENS_CH2

  1.098  LABEL        AUX_TRIG_IN
  1.099  MATH         @Chan = 1
  1.100  M9500                       CH14
  1.101  CALL         Sub TDS714L (1 yr) Aux Trig In Sens IEEE /9500+2Hd
  1.102  JMPL         DELAY_MATCH

  1.103  LABEL        MAIN_TRIG_SENS_CH2

  1.104  IF           @TestCh234Sens
  1.105  MATH         Time = 3 * @OptChSensTime
  1.106  DISP         The next routine operator intervention occurs
  1.106  DISP         in approximately [V Time] minutes...
  1.107  MATH         @Chan = 2
  1.108  M9500                       CH2
  1.109  CALL         Sub TDS714L (1 yr) Sens IEEE /9500/600
  1.110  MATH         @Chan = 3
  1.111  M9500                       CH3
  1.112  CALL         Sub TDS714L (1 yr) Sens IEEE /9500/600
  1.113  MATH         @Chan = 4
  1.114  M9500                       CH4
  1.115  CALL         Sub TDS714L (1 yr) Sens IEEE /9500/600
  1.116  ENDIF

  1.117  JMPL         AUX_TRIG_IN

  1.118  LABEL        OUTPUT_SIGNAL
  1.119  M9500                       CH1
  1.120  CALL         Sub TDS714L (1 yr) Output Signal IEEE /9500
  1.121  M9500                       CH1
  1.122  CALL         Sub TDS714L (1 yr) Probe Comp IEEE /9500

  1.123  LABEL        END
  1.124  IEEE2        *RST;DESE 61

  1.125  IF           @Abort
  1.126  DISP         V E R I F I C A T I O N   A B O R T E D
  1.127  ELSE
  1.128  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.129  ENDIF

  1.130  END
